@import url('https://fonts.googleapis.com/css2?family=Noto+Serif+JP&family=Rowdies&family=Ubuntu+Mono:ital,wght@0,400;0,700;1,400;1,700&display=swap'); /* 'Rowdies', sans-serif */
@import url('https://fonts.googleapis.com/css2?family=Jersey+10+Charted&family=Noto+Serif+JP&family=Rowdies&family=Ubuntu+Mono:ital,wght@0,400;0,700;1,400;1,700&display=swap'); /*"Jersey 10 Charted", sans-serif */
@import url('https://fonts.googleapis.com/css2?family=Jersey+10+Charted&family=Lilita+One&family=Noto+Serif+JP&family=Rowdies&family=Ubuntu+Mono:ital,wght@0,400;0,700;1,400;1,700&display=swap'); /**/

a {
  text-decoration: none;
}
h1 {
    font-family: "Lilita One", sans-serif;
    color: #b2edc5;
    text-shadow: #922166;
    font-size: 3.5em;
  }

/* Estilo base para el botón para el modo oscuro */
button #toggleBtn {
  padding: 10px 20px;
  font-size: 16px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}
button #toggleBtn img {
  /* Estilos para la imagen dentro del botón */
  width: 100px; /* Ajusta el ancho según sea necesario */
  height: 100px; /* Ajusta la altura según sea necesario */
}

.navbar {
  background-color: rgba(0, 0, 0, 0.5);/* Establece el color de fondo del navbar como transparente */
  position: fixed; /* Asegura que el navbar permanezca en la parte superior de la página mientras se desplaza */
  width: 100%; /* Asegura que el navbar ocupe todo el ancho de la pantalla */
  z-index: 1000; /* Ajusta el índice z para asegurar que el navbar esté en la parte superior de otros elementos */
}

.navbar-nav .nav-link {
  font-size: 20px; 
}
.navbar #h1-navbar {
    background: linear-gradient(to right, #870876 40%, #c073a2 50%);
    background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
    cursor: pointer;
}
.floating-button {
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 9999;
}

.floating-button button {
  background-color: #ffffff;
  border: none;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  font-size: 20px;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
  cursor: pointer;
}

.subtitle-principal {
  font-family: "Jersey 10 Charted", sans-serif;
}

/* Estilo para el botón en modo claro */
.light-mode {
  background-color: #ffffff;
  color: #000000;
}

/* Estilo para el botón en modo oscuro */
.dark-mode {
  background-color: #212529;
  color: #ffffff;
}

.dark-mode .navbar {
 /* Color de fondo en modo oscuro */
  background-color: rgba(0, 0, 0, 0.5);/* Establece el color de fondo del navbar como transparente */
}

.navbar-nav .nav-link {
  color: #ffffff; /* Color del texto en modo claro */
  
}
.dark-mode .navbar-nav .nav-link {
  color: #ffffff; /* Color del texto en modo oscuro */
}
.dark-mode #img--intro {
  background-color: #60E920;
}
.dark-mode #about-text {
  color: #e7bbe3;
}
.dark-mode .card-body {
  background-color: #ACA702;
}
.navbar-nav .nav-link {
  transition: color 0.3s ease; /* Duración y curva de la transición */
}

/* Estilo de color inicial */
.navbar-nav .nav-link:hover {
  color: rgb(123, 201, 109); /* Color que deseas cuando pasas el mouse sobre el enlace */
}


.slider-container {
  overflow: hidden;
}

.slider {
  display: flex;
  animation: desplazar 10s linear infinite; /* 10s es la duración de la animación */
}

.slide {
  flex: 0 0 100%; /* Para que cada slide ocupe todo el ancho del contenedor */
  padding: 20px;
}

.animate-text {
  opacity: 1;
  animation: type 2s steps(40, end);
}


#img--intro {
  background-color: black;
  border-radius: 200px; /* El valor puede ajustarse según lo redondeado que desees que sea el contenedor */
  overflow: hidden;  /* Asegura que el contenido del contenedor no sobresalga de los bordes redondeados */
  margin-right: 60px;
}

#text-principal {
    color: #1d9c7abf;
    font-family:  'Rowdies', sans-serif;
    font-size: 75px;
}
#about-text {
  opacity: 2;
  font-size: 20px;
  color: #69059b;
}
#img--item {
    width: 25px;
}

#red-item:hover {
    scale: 1.2;
}
h1 #title-about--header {
  display: flex;
  justify-content: flex-end;
}
/* Seccion projects */


.card-project {
  display: flex;
  flex-direction: column;
  justify-content: center;
  border-radius: 30px;
  overflow: hidden;
  width: 100%; /* Ajuste para ocupar todo el ancho disponible */
  max-width: 500px; /* Tamaño máximo para evitar que se extiendan demasiado */
  margin: 10px auto;
  cursor: pointer;
}

.card-img-project {
  width: 100%; /* Ajuste para ocupar todo el ancho disponible */
  height: auto; /* Para mantener la proporción de la imagen */
}

.card-body {
  display: none;
}

.card:hover .card-body {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(224, 153, 153, 0.7); /* Ajusta el valor alpha para la transparencia */
  padding: 20px;
}
.img-project-icon {
  max-width: 30px; 
  max-height: 30px;
}
#btn-project {
  border-radius: 8px;
  color: #6cb09e;
  background-color: #60E920;
}
#card-title-project {

  color: #ff00ff;
  font-family:  'Rowdies', sans-serif;
  font-size: 32px;
}
footer {
  background-color: #9dc0bc;
}




#focus-in-expand {
	-webkit-animation: focus-in-expand 0.8s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
	animation: focus-in-expand 0.8s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}

@media (max-width: 600px) {
  .card-project {
    width: 90%; /* Reducir el ancho de las tarjetas en pantallas más pequeñas */
  }
}



/* ----------------------------------------------
 * Generated by Animista on 2024-2-23 12:37:49
 * Licensed under FreeBSD License.
 * See http://animista.net/license for more info. 
 * w: http://animista.net, t: @cssanimista
 * ---------------------------------------------- */

/**
 * ----------------------------------------
 * animation focus-in-expand
 * ----------------------------------------
 */
 @-webkit-keyframes focus-in-expand {
    0% {
      letter-spacing: -0.5em;
      -webkit-filter: blur(12px);
              filter: blur(12px);
      opacity: 0;
    }
    100% {
      -webkit-filter: blur(0px);
              filter: blur(0px);
      opacity: 1;
    }
  }
  @keyframes focus-in-expand {
    0% {
      letter-spacing: -0.5em;
      -webkit-filter: blur(12px);
              filter: blur(12px);
      opacity: 0;
    }
    100% {
      -webkit-filter: blur(0px);
              filter: blur(0px);
      opacity: 1;
    }
  }

  @keyframes desplazar {
    0% {
      transform: translateX(0); /* Comienza desde la posición inicial */
    }
    100% {
      transform: translateX(-100%); /* Se desplaza hacia la izquierda */
    }
  }

  @keyframes type {
    from { width: 0; }
    to { width: 100%; }
  }
  


